###################################################################
package BU::Objects::ErrHandler;
###################################################################

require 5.004;
require Exporter;
use Carp;

@ISA = qw(Exporter);
@ISA = qw();

sub new()
{
	my $class = shift @_;
	my $self = {};

	$self->{error} = '';
	$self->{errorMsg} = '';

	bless($self, $class);

	$self->init(@_);

	return $self;
}

sub init()
{
	my $self = shift @_;

	return $self;
}


sub resetError($)
{
	my ($self) = @_;

	$self->{error} = '';
	$self->{errorMsg} = '';
}


sub setError($)
{
	my ($self, $errorMsg) = @_;

	$self->{error} = 1;
	$self->{errorMsg} = $errorMsg;
}


sub appendErrorMsg($)
{
	my ($self, $errorMsg) = @_;

	$self->{error} = 1;
	$self->{errorMsg} .= "\n" . $errorMsg;
}


sub getErrorMsg()
{
	my ($self) = @_;

	return $self->{errorMsg};
}


sub error()
{
	my ($self) = @_;

	return $self->{error};
}


return 1;

